## ESelectionModelSimple ESelectionModelSimple |

## Functions

ESelectionModelSimple * | e_selection_model_simple_new ()
void | e_selection_model_simple_insert_rows ()
void | e_selection_model_simple_delete_rows ()
void | e_selection_model_simple_move_row ()
void | e_selection_model_simple_set_row_count ()

## Description

## Functions

### e_selection_model_simple_new ()

    ESelectionModelSimple *
    e_selection_model_simple_new (void);

`e_selection_model_simple_new` is deprecated and should not be used in newly-written code.

This routine creates a new ESelectionModelSimple.

#### Returns

The new ESelectionModelSimple.

### e_selection_model_simple_insert_rows ()

    void
    e_selection_model_simple_insert_rows (ESelectionModelSimple *selection,
                                          gint row,
                                          gint count);

`e_selection_model_simple_insert_rows` is deprecated and should not be used in newly-written code.

### e_selection_model_simple_delete_rows ()

    void
    e_selection_model_simple_delete_rows (ESelectionModelSimple *selection,
                                          gint row,
                                          gint count);

`e_selection_model_simple_delete_rows` is deprecated and should not be used in newly-written code.

### e_selection_model_simple_move_row ()

    void
    e_selection_model_simple_move_row (ESelectionModelSimple *selection,
                                       gint old_row,
                                       gint new_row);

`e_selection_model_simple_move_row` is deprecated and should not be used in newly-written code.

### e_selection_model_simple_set_row_count ()

    void
    e_selection_model_simple_set_row_count
                                   (ESelectionModelSimple *selection,
                                    gint row_count);

`e_selection_model_simple_set_row_count` is deprecated and should not be used in newly-written code.

## Types and Values